ReferenceTeams
Change a member's role
PATCH
409 last_owner for the team's only owner.
team*stringTeam slug or ID
userId*stringFormat
uuidIf-Match*stringThe resource's revision, as returned in ETag (for example "3"). Missing returns 428; stale returns 412.
application/json- body
role*TeamRoleValue in
"owner""admin""editor""member"Updated member
application/json- response
data*curl -X PATCH 'https://agents.example.com/v1/teams/string/members/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'If-Match: string' \ -H 'Content-Type: application/json' \ -d '{ "role": "owner"}'{ "data": { "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "displayName": "string", "status": "active" }, "role": "owner", "revision": 0, "createdAt": "2019-08-24T14:15:22Z" }}